Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.Rendition Class Reference
Inheritance diagram for FoxitPDFSDKPython3.Rendition:

## Public Member Functions
def | Rendition (pdf_doc, rendition_dict)
| Constructor, with parameters. More...
def | Rendition (other)
| Constructor, with another rendition object. More...
def | AddMediaPlayer (type, player)
| Add a media player object for specified type. More...
def | EnableAutoPlay (is_auto_play, opt_type)
| Set the flag to decide whether the media should automatically play when activated. More...
def | EnableControlBarVisible (is_visible, opt_type)
| Set the control bar visibility flag. More...
def | EnableFloatingWindowCloseButton (is_visible, opt_type)
| Set the flag to specify if the floating window should include user interface elements that allow a user to close a floating window. More...
def | EnableFloatingWindowTitleBar (is_visible, opt_type)
| Set flag to specify if the floating window should have a title bar. More...
def | GetBackgroundColor ()
| Get the background color for the rectangle in which the media is being played. More...
def | GetBackgroundOpacity ()
| Get the background opacity. (ignored for full-screen and hidden windows) More...
def | GetDict ()
| Get PDF dictionary of current object. More...
def | GetDuration ()
| Get the intrinsic duration. More...
def | GetFitStyle ()
| Get the fit style. More...
def | GetFloatingWindowHeight ()
| Get the height of floating window, in pixels. More...
def | GetFloatingWindowOffscreenEvent ()
| Get the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor). More...
def | GetFloatingWindowPosition ()
| Get the position where floating window should be positioned to the related window. More...
def | GetFloatingWindowRelatedWindowType ()
| Get the window relative type. More...
def | GetFloatingWindowResizeType ()
| Get the resize type which specifies whether the floating window may be resized by a user. More...
def | GetFloatingWindowTitles ()
| Get the multi-language text array which provides text to display on the floating window's title bar. More...
def | GetFloatingWindowWidth ()
| Get the width of floating window, in pixels. More...
def | GetMediaBaseURL ()
| Get the base URL. More...
def | GetMediaClipContentType ()
| Get the content type (MIME type) of the media data. More...
def | GetMediaClipFile ()
| Get the file specification of the actual media data. More...
def | GetMediaClipName ()
| Get the name of the media clip, for use in user interface. More...
def | GetMediaDescriptions ()
| Get the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played. More...
def | GetMediaPlayer (type, index)
| Get a media player object by index for specified type. More...
def | GetMediaPlayerCount (type)
| Get the count of media player objects for specified type. More...
def | GetMonitorSpecifier ()
| Get the monitor specifier type value. More...
def | GetPermission ()
| Get the media permission. More...
def | GetRenditionName ()
| Get the name. More...
def | GetRepeatCount ()
| Get the repeat count, similar to SMIL's repeatCount attribute. More...
def | GetVolume ()
| Get the volume that specifies the desired volume level as a percentage of recorded volume level. More...
def | GetWindowType ()
| Get the type of window that the media should play in. More...
def | HasFloatingWindowCloseButton ()
| Check if the floating window should include user interface elements that allow a user to close a floating window. More...
def | HasFloatingWindowTitleBar ()
| Check if the floating window should have a title bar. More...
def | HasMediaClip ()
| Check if current rendition object contains a media clip. More...
def | IsAutoPlay ()
| Check whether the media should automatically play when activated. More...
def | IsControlBarVisible ()
| Check whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | RemoveMediaPlayer (type, player)
| Remove a media player object for specified type. More...
def | SetBackgroundColor (color, opt_type)
| Set the background color for the rectangle in which the media is being played. More...
def | SetBackgroundOpacity (opacity, opt_type)
| Set the background opacity. (ignored for full-screen and hidden windows) More...
def | SetDuration (duration, opt_type)
| Set the intrinsic duration. More...
def | SetFitStyle (fit_style, opt_type)
| Set the fit style. More...
def | SetFloatingWindowOffscreenEvent (offscreen_event, opt_type)
| Set the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor). More...
def | SetFloatingWindowPosition (position, opt_type)
| Set the position where floating window should be positioned to the related window. More...
def | SetFloatingWindowRelatedWindowType (window_type, opt_type)
| Set the window relative type. More...
def | SetFloatingWindowResizeType (resize_type, opt_type)
| Set the resize type which specifies whether the floating window may be resized by a user. More...
def | SetFloatingWindowSize (width, height, opt_type)
| Set the size of floating window, in pixels. More...
def | SetFloatingWindowTitles (titles, opt_type)
| Set the multi-language text array which provides text to display on the floating window's title bar. More...
def | SetMediaBaseURL (base_url, opt_type)
| Set the base URL. More...
def | SetMediaClipContentType (content_type)
| Set the content type (MIME type) of the media data. More...
def | SetMediaClipFile (file_specification)
| Set the file specification of the actual media data. More...
def | SetMediaClipName (name)
| Set the name of the media clip, for use in user interface. More...
def | SetMediaDescriptions (description_array)
| Set the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played. More...
def | SetMonitorSpecifier (monitor_specifier, opt_type)
| Set the monitor specifier type value. More...
def | SetPermission (permission)
| Set the media permission. More...
def | SetRenditionName (name)
| Get the name. More...
def | SetRepeatCount (count, opt_type)
| Set the repeat count, similar to SMIL's repeatCount attribute. More...
def | SetVolume (volume, opt_type)
| Set the volume that specifies the desired volume level as a percentage of recorded volume level. More...
def | SetWindowType (window_type, opt_type)
| Set the type of window that the media should play in. More...

## Static Public Attributes
| e_FloatingWindowOffscreenEventMoveResize = _fsdk.Rendition_e_FloatingWindowOffscreenEventMoveResize
| Move or resize.
| e_FloatingWindowOffscreenEventNone = _fsdk.Rendition_e_FloatingWindowOffscreenEventNone
| Nothing.
| e_FloatingWindowOffscreenEventNonViable = _fsdk.Rendition_e_FloatingWindowOffscreenEventNonViable
| Consider the object non-viable.
| e_FloatingWindowRelatedWindowApplication = _fsdk.Rendition_e_FloatingWindowRelatedWindowApplication
| The application window.
| e_FloatingWindowRelatedWindowDocument = _fsdk.Rendition_e_FloatingWindowRelatedWindowDocument
| The document window.
| e_FloatingWindowRelatedWindowFullDesktop = _fsdk.Rendition_e_FloatingWindowRelatedWindowFullDesktop
| The full virtual desktop.
| e_FloatingWindowRelatedWindowMonitor = _fsdk.Rendition_e_FloatingWindowRelatedWindowMonitor
| Depends on monitor specifier.
| e_FloatingWindowResizeTypeAnyway = _fsdk.Rendition_e_FloatingWindowResizeTypeAnyway
| May be resized without preserving aspect ratio.
| e_FloatingWindowResizeTypeAspectRatio = _fsdk.Rendition_e_FloatingWindowResizeTypeAspectRatio
| May be resized only if aspect ratio is preserved.
| e_FloatingWindowResizeTypeNo = _fsdk.Rendition_e_FloatingWindowResizeTypeNo
| May not be resized.
| e_MediaOptionBestEffort = _fsdk.Rendition_e_MediaOptionBestEffort
| Options defined in this type need only be honored in a "best effort" sense.
| e_MediaOptionMustBeHonored = _fsdk.Rendition_e_MediaOptionMustBeHonored
| Options defined in this type must be honored for rendition object to be considered viable.
| e_MediaPermTempAccess = _fsdk.Rendition_e_MediaPermTempAccess
| Allowed only if the document permissions allow content extraction, including for accessibility purposes.
| e_MediaPermTempAlways = _fsdk.Rendition_e_MediaPermTempAlways
| Always allowed.
| e_MediaPermTempExtract = _fsdk.Rendition_e_MediaPermTempExtract
| Allowed only if the document permissions allow content extraction.
| e_MediaPermTempNever = _fsdk.Rendition_e_MediaPermTempNever
| Never allowed.
| e_MediaPlayerAvailable = _fsdk.Rendition_e_MediaPlayerAvailable
| Any of players in this type may be used in playing the associated media clip.
| e_MediaPlayerFitStyleDefault = _fsdk.Rendition_e_MediaPlayerFitStyleDefault
| Use the player's default setting (author has no preference).
| e_MediaPlayerFitStyleFill = _fsdk.Rendition_e_MediaPlayerFitStyleFill
| The media's width and height are scaled independently so that the media and play rectangles are the same; the aspect ratio is not necessarily preserved. Same as "fill" value of SMIL's fit attribute.
| e_MediaPlayerFitStyleHidden = _fsdk.Rendition_e_MediaPlayerFitStyleHidden
| The media is not scaled. Only the portions of the media rectangle that intersect the play rectangle are displayed. Same as "hidden" value of SMIL's fit attribute.
| e_MediaPlayerFitStyleMeet = _fsdk.Rendition_e_MediaPlayerFitStyleMeet
| The media's width and height are scaled while preserving the aspect ratio so that the media and play rectangles have the greatest possible intersection while still displaying all media content. Same as "meet" value of SMIL's fit attribute.
| e_MediaPlayerFitStyleScroll = _fsdk.Rendition_e_MediaPlayerFitStyleScroll
| The media is not scaled. A scrolling user interface is provided if the media rectangle is wider or taller than the play rectangle. Same as "scroll" value of SMIL's fit attribute.
| e_MediaPlayerFitStyleSlice = _fsdk.Rendition_e_MediaPlayerFitStyleSlice
| The media's width and height are scaled while preserving the aspect ratio so that the play rectangle is entirely filled, and the amount of media content that does not fit within the play rectangle is minimized. Same as "slice" value of SMIL's fit attribute.
| e_MediaPlayerMustUsed = _fsdk.Rendition_e_MediaPlayerMustUsed
| One of players in this type must be used in playing the associated media clip.
| e_MediaPlayerNotUsed = _fsdk.Rendition_e_MediaPlayerNotUsed
| Players in this type must not be used in playing the associated media clip.
| e_MonitorSpecifierGreatestArea = _fsdk.Rendition_e_MonitorSpecifierGreatestArea
| Monitor with the greatest area (in pixels squared)
| e_MonitorSpecifierGreatestColorDepth = _fsdk.Rendition_e_MonitorSpecifierGreatestColorDepth
| Monitor with the greatest color depth.
| e_MonitorSpecifierGreatestHeight = _fsdk.Rendition_e_MonitorSpecifierGreatestHeight
| Monitor with the greatest height (in pixels)
| e_MonitorSpecifierGreatestWidth = _fsdk.Rendition_e_MonitorSpecifierGreatestWidth
| Monitor with the greatest width (in pixels)
| e_MonitorSpecifierLargest = _fsdk.Rendition_e_MonitorSpecifierLargest
| The monitor that contains the largest section of the document window.
| e_MonitorSpecifierPrimary = _fsdk.Rendition_e_MonitorSpecifierPrimary
| Primary monitor. If no monitor is considered primary, use case 0.
| e_MonitorSpecifierSmallest = _fsdk.Rendition_e_MonitorSpecifierSmallest
| The monitor that contains the smallest section of the document window.
| e_WindowTypeAnnotRect = _fsdk.Rendition_e_WindowTypeAnnotRect
| Window type: the rectangle occupied by the screen annotation which is associated with the rendition object.
| e_WindowTypeFloating = _fsdk.Rendition_e_WindowTypeFloating
| Window type: a floating window.
| e_WindowTypeFullScreen = _fsdk.Rendition_e_WindowTypeFullScreen
| Window type: a full-screen window that obscures all other windows.
| e_WindowTypeHidden = _fsdk.Rendition_e_WindowTypeHidden
| Window type: a hidden window.

## Detailed Description

Rendition object is used as a media object that specifies what to play, how to play it and where to play it. (For more details, please refer to <PDF Reference 1.7> P758 Section "9.1.2 Renditions", P762 "Media Renditions")

## Constructor & Destructor Documentation

## ◆ Rendition() [1/2]

def FoxitPDFSDKPython3.Rendition.Rendition | ( |  | pdf_doc,
|  |  | rendition_dict
| ) |  |

Constructor, with parameters.

Parameters

  [in] | pdf_doc | A valid PDF document object.
  [in] | rendition_dict | The PDF dictionary for a rendition object in PDF document represented by parameter pdf_doc. If this is null that means to construct a new rendition object in PDF document represented by parameter pdf_obj. Default value: null.

## ◆ Rendition() [2/2]

def FoxitPDFSDKPython3.Rendition.Rendition | ( |  | other | ) |

Constructor, with another rendition object.

Parameters

  [in] | other | Another rendition object.

## Member Function Documentation

## ◆ AddMediaPlayer()

def FoxitPDFSDKPython3.Rendition.AddMediaPlayer | ( |  | type,
|  |  | player
| ) |  |

Add a media player object for specified type.

Usually, a media player object should be only be added to a rendition object with specified media player type. User is not recommended to add the same media player object to different renditions or different media player types of one rendition; otherwise unexpected issues (such as crash) may occur later. If user does not want to construct another media player and set same values, user can clone the dictionary of original media player object and use the cloned dictionary to construct another media player directly.

Parameters

  [in] | type | Media player type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaPlayerMustUsed and this should be one of these values.
  [in] | player | A media player object to be added for specified type. If the media player has existed for specified type, this function will return the index of the media player.

Returns
  Index of the input media player.

## ◆ EnableAutoPlay()

def FoxitPDFSDKPython3.Rendition.EnableAutoPlay | ( |  | is_auto_play,
|  |  | opt_type
| ) |  |

Set the flag to decide whether the media should automatically play when activated.

Parameters

  [in] | is_auto_play | true means the media should automatically play when activated, while false means the media should be initially paused when activated (for example, the first frame is displayed). Relevant only for media that may be paused.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ EnableControlBarVisible()

def FoxitPDFSDKPython3.Rendition.EnableControlBarVisible | ( |  | is_visible,
|  |  | opt_type
| ) |  |

Set the control bar visibility flag.

Control bar visibility flag is used to decide whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.

Parameters

  [in] | is_visible | true means to display a player-specific controller user interface, while false means not to display such user interface.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ EnableFloatingWindowCloseButton()

def FoxitPDFSDKPython3.Rendition.EnableFloatingWindowCloseButton | ( |  | is_visible,
|  |  | opt_type
| ) |  |

Set the flag to specify if the floating window should include user interface elements that allow a user to close a floating window.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .

Parameters

  [in] | is_visible | true means the floating window should include user interface elements that allow a user to close a floating window, while false means the floating window does not need to include such user interface element.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ EnableFloatingWindowTitleBar()

def FoxitPDFSDKPython3.Rendition.EnableFloatingWindowTitleBar | ( |  | is_visible,
|  |  | opt_type
| ) |  |

Set flag to specify if the floating window should have a title bar.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .

Parameters

  [in] | is_visible | true means the floating window should have a title bar, while false means the floating window does not need to have a title bar.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ GetBackgroundColor()

def FoxitPDFSDKPython3.Rendition.GetBackgroundColor | ( |  | ) |

Get the background color for the rectangle in which the media is being played.

Returns
  Background color. Format: 0xRRGGBB. The returned value 0xFFFFFF may also mean that no value for such property is defined in the rendition object.

## ◆ GetBackgroundOpacity()

def FoxitPDFSDKPython3.Rendition.GetBackgroundOpacity | ( |  | ) |

Get the background opacity. (ignored for full-screen and hidden windows)

Returns
  Background opacity. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque. If no value for such property is defined in the rendition object, 1.0 would be returned by default.

## ◆ GetDict()

def FoxitPDFSDKPython3.Rendition.GetDict | ( |  | ) |

Get PDF dictionary of current object.

Returns
  The PDF dictionary. If there is any error, this function will return null.

## ◆ GetDuration()

def FoxitPDFSDKPython3.Rendition.GetDuration | ( |  | ) |

Get the intrinsic duration.

Returns
  Intrinsic duration value. It would be:

  - -2: use intrinsic duration;

  - -1: infinity duration;

  - >= 0: explicit duration.

  If no value for such property is defined in the rendition object, -2 would be returned by default.

## ◆ GetFitStyle()

def FoxitPDFSDKPython3.Rendition.GetFitStyle | ( |  | ) |

Get the fit style.

Fit style (manner) specifies how the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

Returns
  Fit style value. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaPlayerFitStyleMeet and this would be one of these values. If no value for such property is defined in the rendition object, FoxitPDFSDKPython3.Rendition.e_MediaPlayerFitStyleDefault would be returned by default.

## ◆ GetFloatingWindowHeight()

def FoxitPDFSDKPython3.Rendition.GetFloatingWindowHeight | ( |  | ) |

Get the height of floating window, in pixels.

This property is necessary when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .

Returns
  Height of floating window, in pixels.

## ◆ GetFloatingWindowOffscreenEvent()

def FoxitPDFSDKPython3.Rendition.GetFloatingWindowOffscreenEvent | ( |  | ) |

Get the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .

Returns
  Event type for offscreen situation of floating window. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_FloatingWindowOffscreenEventNone and this would be one of these values. If no value for such property is defined in the rendition object, FoxitPDFSDKPython3.Rendition.e_FloatingWindowOffscreenEventMoveResize would be returned by default.

## ◆ GetFloatingWindowPosition()

def FoxitPDFSDKPython3.Rendition.GetFloatingWindowPosition | ( |  | ) |

Get the position where floating window should be positioned to the related window.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .
Window relative specifies the place to which the floating window should be positioned.

Returns
  Position value. Please refer to values starting from FoxitPDFSDKPython3.e_PosTopLeft and this would be one of these values. If no value for such property is defined in the rendition object, FoxitPDFSDKPython3.e_PosCenter would be returned by default.

## ◆ GetFloatingWindowRelatedWindowType()

def FoxitPDFSDKPython3.Rendition.GetFloatingWindowRelatedWindowType | ( |  | ) |

Get the window relative type.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .
Related window type specifies the place to which the floating window should be positioned.

Returns
  Related window type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_FloatingWindowRelatedWindowDocument and this would be one of these values. this would be one of these values. If no value for such property is defined in the rendition object, FoxitPDFSDKPython3.Rendition.e_FloatingWindowRelatedWindowDocument would be returned by default.

## ◆ GetFloatingWindowResizeType()

def FoxitPDFSDKPython3.Rendition.GetFloatingWindowResizeType | ( |  | ) |

Get the resize type which specifies whether the floating window may be resized by a user.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .

Returns
  Resize type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_FloatingWindowResizeTypeNo and this would be one of these values. If no value for such property is defined in the rendition object, FoxitPDFSDKPython3.Rendition.e_FloatingWindowResizeTypeNo would be returned by default.

## ◆ GetFloatingWindowTitles()

def FoxitPDFSDKPython3.Rendition.GetFloatingWindowTitles | ( |  | ) |

Get the multi-language text array which provides text to display on the floating window's title bar.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .
Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the caption.

Returns
  A string array that represents multi-language text array.

## ◆ GetFloatingWindowWidth()

def FoxitPDFSDKPython3.Rendition.GetFloatingWindowWidth | ( |  | ) |

Get the width of floating window, in pixels.

This property is necessary when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .

Returns
  Width of floating window, in pixels.

## ◆ GetMediaBaseURL()

def FoxitPDFSDKPython3.Rendition.GetMediaBaseURL | ( |  | ) |

Get the base URL.

Base URL is an absolute URL which is used in resolving any relative URLs found within the media data.

Returns
  The base URL.

## ◆ GetMediaClipContentType()

def FoxitPDFSDKPython3.Rendition.GetMediaClipContentType | ( |  | ) |

Get the content type (MIME type) of the media data.

Content type specifies the type of the media data represented by file specification. The content type string should conform to the content type specification described in Internet RFC 2045, Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies.

Returns
  Content type (MIME type).

## ◆ GetMediaClipFile()

def FoxitPDFSDKPython3.Rendition.GetMediaClipFile | ( |  | ) |

Get the file specification of the actual media data.

Returns
  A file specification object.

## ◆ GetMediaClipName()

def FoxitPDFSDKPython3.Rendition.GetMediaClipName | ( |  | ) |

Get the name of the media clip, for use in user interface.

Returns
  Name of the media clip.

## ◆ GetMediaDescriptions()

def FoxitPDFSDKPython3.Rendition.GetMediaDescriptions | ( |  | ) |

Get the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played.

Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the description.

Returns
  The multi-language text array for description.

## ◆ GetMediaPlayer()

def FoxitPDFSDKPython3.Rendition.GetMediaPlayer | ( |  | type,
|  |  | index
| ) |  |

Get a media player object by index for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaPlayerMustUsed and this should be one of these values.
  [in] | index | Index of the media player object to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Rendition.GetMediaPlayerCount .

Returns
  A media player object.

## ◆ GetMediaPlayerCount()

def FoxitPDFSDKPython3.Rendition.GetMediaPlayerCount | ( |  | type | ) |

Get the count of media player objects for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaPlayerMustUsed and this should be one of these values.

Returns
  The count of media player objects for specified type.

## ◆ GetMonitorSpecifier()

def FoxitPDFSDKPython3.Rendition.GetMonitorSpecifier | ( |  | ) |

Get the monitor specifier type value.

Monitor specifier is used to specify which monitor in a multi-monitor system a floating or full-screen window should appear on.

Returns
  Monitor specifier type value. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MonitorSpecifierLargest and this would be one of these values. If no value for such property is defined in the rendition object, FoxitPDFSDKPython3.Rendition.e_MonitorSpecifierLargest would be returned by default.

## ◆ GetPermission()

def FoxitPDFSDKPython3.Rendition.GetPermission | ( |  | ) |

Get the media permission.

Media permission indicates the circumstances under which it is acceptable to write a temporary file in order to play a media clip.

Returns
  Media permission value. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaPermTempNever and this would be one of these values.

## ◆ GetRenditionName()

def FoxitPDFSDKPython3.Rendition.GetRenditionName | ( |  | ) |

Get the name.

This name can be used for name tree lookup by JavaSript actions and can also be used in user interface.

Returns
  Name of current rendition object.

## ◆ GetRepeatCount()

def FoxitPDFSDKPython3.Rendition.GetRepeatCount | ( |  | ) |

Get the repeat count, similar to SMIL's repeatCount attribute.

Returns
  The repeat count.0 means repeat forever. If no value for such property is defined in the rendition object, 1 would be returned by default.

## ◆ GetVolume()

def FoxitPDFSDKPython3.Rendition.GetVolume | ( |  | ) |

Get the volume that specifies the desired volume level as a percentage of recorded volume level.

Returns
  Volume value. 0 means mute.If no value for such property is defined in the rendition object, 100 would be returned by default.

## ◆ GetWindowType()

def FoxitPDFSDKPython3.Rendition.GetWindowType | ( |  | ) |

Get the type of window that the media should play in.

Returns
  Windows type value. Please refer to FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating values and it would be one of these values. If no value for such property is defined in the rendition object, FoxitPDFSDKPython3.Rendition.e_WindowTypeAnnotRect would be returned by default.

## ◆ HasFloatingWindowCloseButton()

def FoxitPDFSDKPython3.Rendition.HasFloatingWindowCloseButton | ( |  | ) |

Check if the floating window should include user interface elements that allow a user to close a floating window.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .

Returns
  true means the floating window should include user interface elements that allow a user to close a floating window, while false means the floating window does not need to include such user interface element. If no value for such property is defined in the rendition object, true would be returned by default.

## ◆ HasFloatingWindowTitleBar()

def FoxitPDFSDKPython3.Rendition.HasFloatingWindowTitleBar | ( |  | ) |

Check if the floating window should have a title bar.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .

Returns
  true means the floating window should have a title bar, while false means the floating window does not need to have a title bar. If no value for such property is defined in the rendition object, true would be returned by default.

## ◆ HasMediaClip()

def FoxitPDFSDKPython3.Rendition.HasMediaClip | ( |  | ) |

Check if current rendition object contains a media clip.

Returns
  true means current rendition object contains a media clip, while false means current rendition object does not contain any media clip.

## ◆ IsAutoPlay()

def FoxitPDFSDKPython3.Rendition.IsAutoPlay | ( |  | ) |

Check whether the media should automatically play when activated.

Returns
  true means the media should automatically play when activated, while false means the media should be initially paused when activated (for example, the first frame is displayed). Relevant only for media that may be paused. If no value for such property is defined in the rendition object, true would be returned by default.

## ◆ IsControlBarVisible()

def FoxitPDFSDKPython3.Rendition.IsControlBarVisible | ( |  | ) |

Check whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.

Returns
  true means to display a player-specific controller user interface, while false means not to display such user interface. If no value for such property is defined in the rendition object, false would be returned by default.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.Rendition.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveMediaPlayer()

def FoxitPDFSDKPython3.Rendition.RemoveMediaPlayer | ( |  | type,
|  |  | player
| ) |  |

Remove a media player object for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaPlayerMustUsed and this should be one of these values.
  [in] | player | A media player object to be removed.

Returns
  None.

## ◆ SetBackgroundColor()

def FoxitPDFSDKPython3.Rendition.SetBackgroundColor | ( |  | color,
|  |  | opt_type
| ) |  |

Set the background color for the rectangle in which the media is being played.

Parameters

  [in] | color | Background color to set. Format: 0xRRGGBB.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetBackgroundOpacity()

def FoxitPDFSDKPython3.Rendition.SetBackgroundOpacity | ( |  | opacity,
|  |  | opt_type
| ) |  |

Set the background opacity. (ignored for full-screen and hidden windows)

Parameters

  [in] | opacity | Background opacity. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetDuration()

def FoxitPDFSDKPython3.Rendition.SetDuration | ( |  | duration,
|  |  | opt_type
| ) |  |

Set the intrinsic duration.

Parameters

  [in] | duration | Intrinsic duration value to set. It should be: -2: use intrinsic duration; -1: infinity duration; >= 0: explicit duration.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFitStyle()

def FoxitPDFSDKPython3.Rendition.SetFitStyle | ( |  | fit_style,
|  |  | opt_type
| ) |  |

Set the fit style.

Fit style (manner) specifies how the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

Parameters

  [in] | fit_style | Fit style value. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaPlayerFitStyleMeet and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowOffscreenEvent()

def FoxitPDFSDKPython3.Rendition.SetFloatingWindowOffscreenEvent | ( |  | offscreen_event,
|  |  | opt_type
| ) |  |

Set the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .

Parameters

  [in] | offscreen_event | Event type for offscreen situation of floating window. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_FloatingWindowOffscreenEventNone and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowPosition()

def FoxitPDFSDKPython3.Rendition.SetFloatingWindowPosition | ( |  | position,
|  |  | opt_type
| ) |  |

Set the position where floating window should be positioned to the related window.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .
Window relative specifies the place to which the floating window should be positioned.

Parameters

  [in] | position | Window relative type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_FloatingWindowRelatedWindowDocument and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowRelatedWindowType()

def FoxitPDFSDKPython3.Rendition.SetFloatingWindowRelatedWindowType | ( |  | window_type,
|  |  | opt_type
| ) |  |

Set the window relative type.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .
Related window type specifies the place to which the floating window should be positioned.

Parameters

  [in] | window_type | Related window type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_FloatingWindowRelatedWindowDocument and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowResizeType()

def FoxitPDFSDKPython3.Rendition.SetFloatingWindowResizeType | ( |  | resize_type,
|  |  | opt_type
| ) |  |

Set the resize type which specifies whether the floating window may be resized by a user.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .

Parameters

  [in] | resize_type | Resize type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_FloatingWindowResizeTypeNo and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowSize()

def FoxitPDFSDKPython3.Rendition.SetFloatingWindowSize | ( |  | width,
|  |  | height,
|  |  | opt_type
| ) |  |

Set the size of floating window, in pixels.

This property is necessary when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .

Parameters

  [in] | width | Width of floating window, in pixels. This value should be larger than 0.
  [in] | height | Height of floating window, in pixels. This value should be larger than 0.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowTitles()

def FoxitPDFSDKPython3.Rendition.SetFloatingWindowTitles | ( |  | titles,
|  |  | opt_type
| ) |  |

Set the multi-language text array which provides text to display on the floating window's title bar.

This property is only useful when the windows type is FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating .
Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the caption.

Parameters

  [in] | titles | A string array that represents multi-language text array.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetMediaBaseURL()

def FoxitPDFSDKPython3.Rendition.SetMediaBaseURL | ( |  | base_url,
|  |  | opt_type
| ) |  |

Set the base URL.

Base URL is an absolute URL which is used in resolving any relative URLs found within the media data.

Parameters

  [in] | base_url | The base URL to set.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetMediaClipContentType()

def FoxitPDFSDKPython3.Rendition.SetMediaClipContentType | ( |  | content_type | ) |

Set the content type (MIME type) of the media data.

Content type specifies the type of the media data represented by file specification. The content type string should conform to the content type specification described in Internet RFC 2045, Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies.
User is recommended to set the content type when setting a new file specification by function FoxitPDFSDKPython3.Rendition.SetMediaClipFile .

Parameters

  [in] | content_type | Content type (MIME type).

Returns
  None.

## ◆ SetMediaClipFile()

def FoxitPDFSDKPython3.Rendition.SetMediaClipFile | ( |  | file_specification | ) |

Set the file specification of the actual media data.

This property is necessary for a rendition object. And user is recommended to set the content type by function FoxitPDFSDKPython3.Rendition.SetMediaClipContentType after setting a new file specification.

Parameters

  [in] | file_specification | A file specification object.

Returns
  None.

## ◆ SetMediaClipName()

def FoxitPDFSDKPython3.Rendition.SetMediaClipName | ( |  | name | ) |

Set the name of the media clip, for use in user interface.

Parameters

  [in] | name | Name string to be set for the media clip.

Returns
  None.

## ◆ SetMediaDescriptions()

def FoxitPDFSDKPython3.Rendition.SetMediaDescriptions | ( |  | description_array | ) |

Set the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played.

Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the description.

Parameters

  [in] | description_array | A multi-language text array for description.

Returns
  None.

## ◆ SetMonitorSpecifier()

def FoxitPDFSDKPython3.Rendition.SetMonitorSpecifier | ( |  | monitor_specifier,
|  |  | opt_type
| ) |  |

Set the monitor specifier type value.

Monitor specifier is used to specify which monitor in a multi-monitor system a floating or full-screen window should appear on.

Parameters

  [in] | monitor_specifier | Monitor specifier type value. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MonitorSpecifierLargest and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetPermission()

def FoxitPDFSDKPython3.Rendition.SetPermission | ( |  | permission | ) |

Set the media permission.

Media permission indicates the circumstances under which it is acceptable to write a temporary file in order to play a media clip.

Parameters

  [in] | permission | Media permission value. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaPermTempNever and this should be one of these values.

Returns
  None.

## ◆ SetRenditionName()

def FoxitPDFSDKPython3.Rendition.SetRenditionName | ( |  | name | ) |

Get the name.

This name can be used for name tree lookup by JavaSript actions and can also be used in user interface.

Parameters

  [in] | name | Name of current rendition object.

Returns
  None.

## ◆ SetRepeatCount()

def FoxitPDFSDKPython3.Rendition.SetRepeatCount | ( |  | count,
|  |  | opt_type
| ) |  |

Set the repeat count, similar to SMIL's repeatCount attribute.

Parameters

  [in] | count | The repeat count to be set. 0 means repeat forever. This value should not be negative value.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetVolume()

def FoxitPDFSDKPython3.Rendition.SetVolume | ( |  | volume,
|  |  | opt_type
| ) |  |

Set the volume that specifies the desired volume level as a percentage of recorded volume level.

Parameters

  [in] | volume | Volume value to set. 0 means mute. This value should not be negative.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetWindowType()

def FoxitPDFSDKPython3.Rendition.SetWindowType | ( |  | window_type,
|  |  | opt_type
| ) |  |

Set the type of window that the media should play in.

Parameters

  [in] | window_type | Windows type value. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_WindowTypeFloating and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FoxitPDFSDKPython3.Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: FoxitPDFSDKPython3.Rendition.e_MediaOptionBestEffort .

Returns
  None.